Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class RequestGlobalsImpl

    java.lang.Object
      org.apache.tapestry5.internal.services.RequestGlobalsImpl

All Implemented Interfaces:
  RequestGlobals

    @Scope(value="perthread")
    public class RequestGlobalsImpl

extends java.lang.Object
implements RequestGlobals

Dumb data holder for per-request data.

Constructor Summary
`RequestGlobalsImpl()`

Method Summary
`java.lang.String` | `getActivePageName()` Returns the active page name previously stored.
`javax.servlet.http.HttpServletRequest` | `getHTTPServletRequest()` The Servlet API Request.
`javax.servlet.http.HttpServletResponse` | `getHTTPServletResponse()`
`Request` | `getRequest()` The current request.
`Response` | `getResponse()` The current response.
`void` | `storeActivePageName(java.lang.String pageName)` Stores the canonicalized name of the active page for this request.
`void` | `storeRequestResponse(Request request, Response response)`
`void` | `storeServletRequestResponse(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Stores the servlet API request and response objects, for access via the properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestGlobalsImpl

    public RequestGlobalsImpl()

Method Detail

### storeServletRequestResponse

    public void storeServletRequestResponse(javax.servlet.http.HttpServletRequest request,
                                            javax.servlet.http.HttpServletResponse response)

  Description copied from interface: `RequestGlobals`
  Stores the servlet API request and response objects, for access via the properties.

  Specified by:
    `storeServletRequestResponse` in interface `RequestGlobals`

### getHTTPServletRequest

    public javax.servlet.http.HttpServletRequest getHTTPServletRequest()

  Description copied from interface: `RequestGlobals`
  The Servlet API Request. This is exposed as service HTTPServletRequest.

  Specified by:
    `getHTTPServletRequest` in interface `RequestGlobals`

### getHTTPServletResponse

    public javax.servlet.http.HttpServletResponse getHTTPServletResponse()

  Specified by:
    `getHTTPServletResponse` in interface `RequestGlobals`

### storeRequestResponse

    public void storeRequestResponse(Request request,
                                     Response response)

  Specified by:
    `storeRequestResponse` in interface `RequestGlobals`

### getRequest

    public Request getRequest()

  Description copied from interface: `RequestGlobals`
  The current request. This is exposed as service Request.

  Specified by:
    `getRequest` in interface `RequestGlobals`

### getResponse

    public Response getResponse()

  Description copied from interface: `RequestGlobals`
  The current response. This is exposed as service Response.

  Specified by:
    `getResponse` in interface `RequestGlobals`

### getActivePageName

    public java.lang.String getActivePageName()

  Description copied from interface: `RequestGlobals`
  Returns the active page name previously stored.

  Specified by:
    `getActivePageName` in interface `RequestGlobals`
  Returns:
    canonicalized page name

### storeActivePageName

    public void storeActivePageName(java.lang.String pageName)

  Description copied from interface: `RequestGlobals`
  Stores the canonicalized name of the active page for this request.

  Specified by:
    `storeActivePageName` in interface `RequestGlobals`
  Parameters:
    `pageName` - name of page (probably extracted from the URL)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.